<ol class="page-breadcrumb">
  [[> Partial:breadcrumb iri=(resolvePrefix ":Start") label="Home"]]
  [[> Partial:breadcrumb iri=(resolvePrefix ":listCodices") label="Codices"]]
  [[> Partial:breadcrumbViewEntity entity="Codex" urlparam="codexiri"]]
</ol>

[[> Partial:contentStart]]

[[> Partial:pageHeader2 param="codexiri" prefix="Codex: "]]

<div class="form-container">
  <semantic-form
    subject="[[urlParam 'codexiri']]"
    browser-persistence="false"
    persistence="ldp"
    post-action="redirect"
    fields="[[fieldDefinitions
      alias_identifier='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/alias_identifier'
      binding='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/codex_binding'
      collection='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/part_of_collection'
      dimensions='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/codex_dimensions'
      identifier='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/codex_identifier'
      ismi_id='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/ismi_id'
      ismi_public='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/ismi_public'
      label='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/label1'
      notes='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/notes'
      notes_internal='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/notes_internal'
      number_of_folios='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/codex_number_of_folios'
      record_type='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/codex_record_type'
      record_type_2='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/codex_record_type_2'
      reference='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/reference'
      reproduction='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/reproduction_of_codex'
      transaction_log='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/transaction_log'
      transfer='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/codex_transfer'
      was_owned_by='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/was_owned_by'
    ]]"
    >

    <bs-tab-container 
      id="codex-edit-form" 
      class="bs-left-vertical-tabs" 
      default-active-key='[[#if (urlParam "tab" )]][[urlParam "tab"]][[else]]description[[/if]]'
    >
      <div>
        <bs-col sm="2" >
          <bs-nav bs-style="tabs" stacked="true">

            <bs-nav-item event-key="description">
              Description
            </bs-nav-item>

            <bs-nav-item event-key="codex">
              Codex
            </bs-nav-item>

            <bs-nav-item event-key="transfer">
              Ownership
            </bs-nav-item>

            <bs-nav-item event-key="references">
              References
            </bs-nav-item>

            [[#if (hasPermission "forms:ldp:update")]]
              <bs-nav-item event-key="internal" class="hidden-field">
                Internal
              </bs-nav-item>
              <bs-nav-item event-key="delete">
                Delete
              </bs-nav-item>
            [[/if]]

          </bs-nav>
        </bs-col>
        <bs-col sm="10">

          <bs-tab-content animation="true">

            <bs-tab-pane event-key="description">
              <h3>Description</h3>

              <semantic-form-text-input for="label"></semantic-form-text-input>

              <semantic-form-text-input for="notes" multiline="true"></semantic-form-text-input>

            </bs-tab-pane>

            <bs-tab-pane event-key="codex">
              <h3>Codex</h3>
  
              <semantic-form-text-input for="identifier"></semantic-form-text-input>
              
              <semantic-form-select-input for="collection" ></semantic-form-select-input>

              <mp-field-visualization 
                subject="[[urlParam 'codexiri']]"
                fields="[[fieldDefinitions 
                    repository='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/codex_repository_view'
                    place='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/codex_place_view'
                  ]]"
                template="{{> Partial:fieldBasedVisualisation}}"
                ></mp-field-visualization>

              <semantic-form-select-input for="reproduction"></semantic-form-select-input>

              <semantic-form-text-input for="alias_identifier"></semantic-form-text-input>

              <semantic-form-text-input for="number_of_folios"></semantic-form-text-input>
              <semantic-form-select-input for="binding"></semantic-form-select-input>
              <semantic-form-text-input for="dimensions"></semantic-form-text-input>

            </bs-tab-pane>

            <bs-tab-pane event-key="transfer">
            
              <semantic-form-composite-input for="transfer"
                    new-subject-template="http://content.mpiwg-berlin.mpg.de/ns/ismi/transfer-event/{{UUID}}"
                    fields="[[fieldDefinitions
                      ismi_id='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/ismi_id'
                      notes='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/notes'
                      type='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/transfer_type'
                      from_person='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/transfer_from_person'
                      to_person='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/transfer_to_person'
                      from_place='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/transfer_from_place'
                      to_place='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/transfer_to_place'
                      price='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/transfer_price'
                      date='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/has_ismi_date'
                    ]]">
                  <semantic-form-select-input for="to_person"></semantic-form-select-input>
                  <semantic-form-select-input for="type"></semantic-form-select-input>
                  <semantic-form-select-input for="from_person"></semantic-form-select-input>
                  <semantic-form-select-input for="from_place"></semantic-form-select-input>
                  <semantic-form-select-input for="to_place"></semantic-form-select-input>
                  [[> Partial:formInputIsmiDate ]]
                  <semantic-form-text-input for="price"></semantic-form-text-input>
                  <semantic-form-text-input for="notes" multiline="true"></semantic-form-text-input>
                  <semantic-form-text-input for="ismi_id" readonly="true" 
                    default-value="TBD"></semantic-form-text-input>
              </semantic-form-composite-input>

            </bs-tab-pane>

            <bs-tab-pane event-key="references">
            
              <semantic-form-composite-input for="reference"
                    new-subject-template="http://content.mpiwg-berlin.mpg.de/ns/ismi/reference/{{UUID}}"
                    fields="[[fieldDefinitions
                      item='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/reference_item'
                      note='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/reference_note'
                      ismi_id='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/ismi_id'
                    ]]">
                  <semantic-form-autocomplete-input for="item"></semantic-form-autocomplete-input>
                  <semantic-form-text-input for="note"></semantic-form-text-input>
                  <semantic-form-text-input for="ismi_id" readonly="true" 
                    default-value="TBD"></semantic-form-text-input>
              </semantic-form-composite-input>

            </bs-tab-pane>
            
            <bs-tab-pane event-key="delete">

              [[> Partial:deleteButton 
                back=(resolvePrefix ":editCodex")
                param="codexiri"
                entityType="Codex"
                redirect=(resolvePrefix ":listCodices")
              ]]

            </bs-tab-pane>

            <bs-tab-pane event-key="internal">
              <h3>Internal</h3>
              <semantic-form-text-input for="ismi_id"></semantic-form-text-input>
              <semantic-form-checkbox-input for="ismi_public"></semantic-form-checkbox-input>
              <semantic-form-text-input for="notes_internal" multiline="true"></semantic-form-text-input>
              <semantic-form-text-input for="record_type"></semantic-form-text-input>
              <semantic-form-text-input for="record_type_2"></semantic-form-text-input>
              <semantic-form-text-input for="transaction_log" multiline="true"></semantic-form-text-input>
            </bs-tab-pane>

          </bs-tab-content>

          <div class="gap text-right">
            <button name="submit" class="btn btn-primary btn-md">Save</button>
            <semantic-form-recover-notification class="alert alert-info"></semantic-form-recover-notification>
            <semantic-form-errors></semantic-form-errors>
          </div>

        </bs-col>
      <div>
    </bs-tab-container>

  </semantic-form>
</div>

[[> Partial:contentEnd]]
